Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Equivalent nentsel <-> ssegt

5 REPLIES 5
Reply
Message 1 of 6
Anonymous
329 Views, 5 Replies

Equivalent nentsel <-> ssegt

Hi,

I select mtext in dims using nentsel:

(setq ne (nentsel "Select object: "))
(setq en (car ne))
(setq eg (entget en))

Below, I selected mtext from dim:

Command: (setq ne (nentsel "Select object: "))
Select object: ( (-62.8437 110.905 0.0) ((1.0
0.0 0.0)
(0.0 1.0 0.0) (0.0 0.0 1.0) (0.0 0.0 0.0)) ())

Command: (setq en (car ne))


Command: (setq eg (entget en))
((-1 . ) (0 . "MTEXT") (330 .
40093530>)
(5 . "3A32") (100 . "AcDbEntity") (67 . 0) (8 . "COTA") (62 . 2)
(100 .
"AcDbMText") (10 -63.6542 109.773 0.0) (40 . 2.0) (41 . 0.0) (71 . 5)
(72 . 1)
(1 . "\\A1;24.3°") (7 . "ROMANS") (210 0.0 0.0 1.0) (11 0.47695 -
0.87893 0.0)
(42 . 7.39304) (43 . 2.0) (50 . 5.20957) (73 . 1) (44 . 1.0))



Please, exists a way to select the same mtext using ssget command, but similar to nentsel?

thanks in advance,

:)

Rogerio
5 REPLIES 5
Message 2 of 6
Anonymous
in reply to: Anonymous

You'll have to obtain a selection set of dimensions
with SSGET then step through the block definition
of each dimension to access the mtext entity.

Be aware that if you have used the \X modifier and
the text is in the home position there will be 2 mtext
entities, as opposed to a single entity when away
from the home position.

--
Autodesk Discussion Group Facilitator



wrote in message news:5152389@discussion.autodesk.com...
Hi,

I select mtext in dims using nentsel:

(setq ne (nentsel "Select object: "))
(setq en (car ne))
(setq eg (entget en))

Below, I selected mtext from dim:

Command: (setq ne (nentsel "Select object: "))
Select object: ( (-62.8437 110.905 0.0) ((1.0
0.0 0.0)
(0.0 1.0 0.0) (0.0 0.0 1.0) (0.0 0.0 0.0)) ())

Command: (setq en (car ne))


Command: (setq eg (entget en))
((-1 . ) (0 . "MTEXT") (330 .
40093530>)
(5 . "3A32") (100 . "AcDbEntity") (67 . 0) (8 . "COTA") (62 . 2)
(100 .
"AcDbMText") (10 -63.6542 109.773 0.0) (40 . 2.0) (41 . 0.0) (71 . 5)
(72 . 1)
(1 . "\\A1;24.3°") (7 . "ROMANS") (210 0.0 0.0 1.0) (11 0.47695 -
0.87893 0.0)
(42 . 7.39304) (43 . 2.0) (50 . 5.20957) (73 . 1) (44 . 1.0))



Please, exists a way to select the same mtext using ssget command, but
similar to nentsel?

thanks in advance,

:)

Rogerio
Message 3 of 6
Anonymous
in reply to: Anonymous

Thank very much.

Trying now...


Rogerio
Message 4 of 6
Anonymous
in reply to: Anonymous

You're welcome. Post back if you run into trouble.

--
Autodesk Discussion Group Facilitator



wrote in message news:5152481@discussion.autodesk.com...
Thank very much.

Trying now...


Rogerio
Message 5 of 6
Anonymous
in reply to: Anonymous

Hi Rogerio
Maybe there will be resonable to use:

[code]
(vl-load-com)
(setq adoc
(vla-get-activedocument
(vlax-get-acad-object) )
util (vla-get-utility adoc)
)
(vla-getsubentity util
'dim_obj
'PickedPoint
'TransMatrix
'ContextData
"\nSelect dimension in the block: >>> \n")
(setq text_str (vla-get-textstring dim_obj))
[/code]

Fatty

~'J'~
Message 6 of 6
Anonymous
in reply to: Anonymous

Thanks again.


:)


Rogerio

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost